OfonoMessageManager Class Reference

This class is used to access oFono message manager API. More...

`#include <ofonomessagemanager.h>`

Inheritance diagram for OfonoMessageManager:

## Public Slots

void | requestServiceCenterAddress ()
void | setServiceCenterAddress (QString address)
void | requestUseDeliveryReports ()
void | setUseDeliveryReports (bool useDeliveryReports)
void | requestBearer ()
void | setBearer (QString bearer)
void | requestAlphabet ()
void | setAlphabet (QString alphabet)
QDBusObjectPath | sendMessage (const QString &to, const QString &message, bool &success)

## Signals

void | serviceCenterAddressChanged (const QString &address)
void | useDeliveryReportsChanged (const bool &useDeliveryReports)
void | bearerChanged (const QString &bearer)
void | alphabetChanged (const QString &alphabet)
void | serviceCenterAddressComplete (bool success, const QString &address)
void | useDeliveryReportsComplete (bool success, const bool &useDeliveryReports)
void | bearerComplete (bool success, const QString &bearer)
void | alphabetComplete (bool success, const QString &alphabet)
void | setServiceCenterAddressFailed ()
void | setUseDeliveryReportsFailed ()
void | setBearerFailed ()
void | setAlphabetFailed ()
void | messageAdded (const QString &message)
void | messageRemoved (const QString &message)
void | immediateMessage (const QString &message, const QVariantMap &info)
void | incomingMessage (const QString &message, const QVariantMap &info)
void | statusReport (const QString &message, const QVariantMap &info)
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoMessageManager (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
Q_INVOKABLE QStringList | getMessages () const
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Detailed Description

This class is used to access oFono message manager API.

oFono message manager API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/messagemanager-api.txt

The documentation for this class was generated from the following file:

- lib/ofonomessagemanager.h